<!DOCTYPE html>
<html lang="en">
<head>  
    <meta charset="utf-8" />
    <meta content="width=device-width, initial-scale=1" name="viewport" />
    <title>Registro Cliente</title>
    <link href="estilos.css" rel="stylesheet" />
</head>

<body>                     
<div class="container1">
    <main class="content">
        <form  action="/guardar_cliente" method="post">  
            <div class="form"> 
                    <h1>Ingrese Datos del Cliente</h1>    <br>       
                    <div class="grupo">                
                        <label for=""> Cedula</label>
                        <input type="text" name="cedula" id="" PlaceHolder='Ingrese su cedula de identidad' maxlength="10" onkeypress="return solonumeros(event)"  required><span class="barra"></span> 
                    </div>
                    <div class="grupo">                
                        <label for=""> Nombres</label>
                        <input type="text" name="nombre" id="" PlaceHolder='Ingrese un nombre' required><span class="barra"></span> 
                    </div>
                    <div class="grupo">
                        <label for=""> Dirección</label>
                        <input type="text" name="direccion" id="" PlaceHolder='Ingrese su dirección de domicilio' required><span class="barra"></span>                   
                    </div>
                    <div class="grupo">
                        <label for=""> Telefono</label>
                        <input type="text" name="telefono" id="" PlaceHolder='Ingrese su cedula de identidad' maxlength="10" onkeypress="return solonumeros(event)"  required><span class="barra"></span> 
                    </div>  
                    <div class="grupo">
                        <label for="">Correo Electrónico</label>
                        <input type="text" name="email" id="" PlaceHolder='Ingrese su correo electrónico' required><span class="barra"></span>                   
                    </div>                    
                 <button type="submit"> Enviar información</button>
            </div>                                                
        </form>
    <script src="validar_cliente  .js"></script> 
  </main>       
</div>

<script>
  function solonumeros(e){
    key=e.keyCode || e.which;
    teclado=String.fromCharCode(key);
    numeros="0123456789";
    especiales="8-37-38-46"; //array
    teclado_especial= false;
    for(var i in especiales){
      if(key==especiales[i]){
        teclado_especial=true; 
      }
    }
    if(numeros.indexOf(teclado)==-1 && !teclado_especial){
      return false;
    }
  }
</script>

</body>
</html>